Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class InteractiveShellRunner

    java.lang.Object
      org.codehaus.groovy.tools.shell.ShellRunner
          org.codehaus.groovy.tools.shell.InteractiveShellRunner

    class InteractiveShellRunner
    extends ShellRunner

Support for running a Shell interactivly using the JLine library.

version:
  $Id: InteractiveShellRunner.groovy 8806 2007-10-25 21:58:29Z user57 $

author:
  Jason Dillon

Property Summary
`CommandsMultiCompletor` | `completor`
`Closure` | `prompt`
`ConsoleReader` | `reader`

Constructor Summary
`InteractiveShellRunner(Shell shell, Closure prompt)`

Method Summary
`protected String` | `readLine()`
`void` | `run()`
`void` | `setHistory(History history)`
`void` | `setHistoryFile(File file)`

Methods inherited from class ShellRunner
readLine, work

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### completor

    final CommandsMultiCompletor completor

### prompt

    final Closure prompt

### reader

    final ConsoleReader reader

Constructor Detail

### InteractiveShellRunner

    public InteractiveShellRunner(Shell shell, Closure prompt)

Method Detail

### readLine

    protected String readLine()

### run

    void run()

### setHistory

    void setHistory(History history)

### setHistoryFile

    void setHistoryFile(File file)

Copyright © 2003-2009 The Codehaus. All rights reserved.